########################################
# qbittorrentvpn - https://hub.docker.com/r/dyonr/qbittorrentvpn
# Client with WebUI that connects to OpenVPN with iptables killswitch to
# prevent IP leakage when the tunnel goes down
########################################

services:
    qbittorrentvpn:
        container_name: torrent
        privileged: true
        image: lscr.io/linuxserver/qbittorrent:latest
        environment:
            - PUID=1000
            - PGID=1000
            - VPN_ENABLED=false
            - WEBUI_PORT=8080
            - TZ=America/New_York
        volumes:
            - ${QBITTORRENT_DATA}/config:/config
            - ${QBITTORRENT_DATA}/theme:/theme
            - downloads_nfs:/downloads
        restart: unless-stopped
        network_mode: "container:gluetun"

volumes:
    downloads_nfs:
        name: downloads_nfs
        driver_opts:
            type: nfs
            o: addr=${NAS_ADDR},nolock,soft,rw
            device: :${DOWNLOADS_PATH}

